import java.awt.*;

// The command frame where the user types commands
// The frame keeps the 5 previous orders. Should be
// scrollable in the future

public class CommandFrame extends java.awt.Frame {
	// Menus of the frame. The user can activate a
	// debug mode and name an object of the world.
	MenuBar menuBar;
	Menu optionMenu;
	Menu helpMenu;
	MenuItem learnNewObject;
	MenuItem coordinates;
	CheckboxMenuItem bavard;

	// Input strings corresponding to user orders
	// rendered on the frame as Labels
	String userOrders[];
	String currentOrder;
	Label userOrderLabels[];
	TextField currentOrderText;
	boolean nouveauDeplacement  = false;
	String commandText;

	CommandFrame(String title) {
		super(title);
		menuBar = new MenuBar();
		this.setMenuBar(menuBar);
		optionMenu = new Menu("Options");
		helpMenu = new Menu("Aide");
		menuBar.add(optionMenu);
		menuBar.add(helpMenu);
		menuBar.setHelpMenu(helpMenu);
		coordinates = new MenuItem("Coordonnes");
		learnNewObject = 
			new MenuItem("Apprendre un nouvel objet");
		bavard = new CheckboxMenuItem("Bavard");

		optionMenu.add(coordinates);
		optionMenu.add(learnNewObject);
		optionMenu.add(bavard);
		optionMenu.add(new MenuItem("-"));
		optionMenu.add(new MenuItem("Quitter"));

		helpMenu.add(new MenuItem(" propos"));
		helpMenu.add(new MenuItem("Aide"));

		userOrders = new String[5];
		currentOrder = new String("");
		userOrderLabels = new Label[5];
		setLayout(new GridLayout(6,1));
		for (int i = 0; i < 5; i++) {
			userOrders[i] = new String("");
			userOrderLabels[i] = new Label(userOrders[i]);
			add(userOrderLabels[i]);
		}
		currentOrderText = new TextField("");
		add(currentOrderText);
		commandText = new String("");
	}

	public void decaler() {
		for (int i = 0; i < 4; i++)
			userOrderLabels[i].setText(
				userOrderLabels[i + 1].getText());
		userOrderLabels[4].setText(currentOrderText.getText());
		currentOrderText.setText("");
	}

	public boolean action(java.awt.Event evt, Object arg) {
		if (evt.target instanceof MenuItem) {
			String label= (String) arg;
			if (label.equals("Apprendre un nouvel objet")) {
				learnNewObject.disable();
				commandText = "apprentissage";
			}
			if (label.equals("Coordonnes")) {
				coordinates.disable();
				commandText = "coordonnes";
			}
			if (label.equals("Quitter")) {
				commandText = "quitter";
			}
			if (label.equals("Bavard")) {
				//bavard.disable();
				//commandText = "bavard";
			}
			if (label.equals(" propos")) {
			}
			if (label.equals("Aide")) {
			}
		}
		if (evt.target instanceof TextField) {
			commandText = currentOrderText.getText();
			if (!commandText.equals(""))
				decaler();
		}
		return true;
	}
}


