%Lecture des paramtres du fichiers ulysse.ini

init_parameters :-
	read_file('../ulysse.ini', L),
	parse_parameters(L, []).
init_parameters :-
	write('Error in ulysse.ini file'), nl,
	true.
	
parse_parameters -->
	parameter(_),
	parse_parameters.
parse_parameters --> [].

parameter(Param) -->
	comment,
	parameter_name(Name),
	[X], {name('=', [X])},
	parameter_value(Value),
	{Param =.. [Name, Value],
	write(Param), nl,
	asserta(Param)}.

comment -->
	[X], {name('#', [X])},
	char_list(_),
	[Y], {name('
', [Y])},
	comment.
comment -->
	[Y], {name('
', [Y])},
	comment.
comment -->
	[].
	
parameter_name(Name) -->
	char_list(_), %ClassString
	[X], {name('.', [X])},
	char_list(NameString),
	{name(Name, NameString)}.

parameter_value(Value) -->
	char_list(ValueString),
	[Y], {name('
', [Y])},
	{name(Value, ValueString)}.

char_list([X | String]) -->
	[X],
	char_list(String),
	{X =\= 10}.
char_list([]) -->
	[].


/*
% Pour le Prolog MacIntosh
string_list([X | Rest]) -->
	[X],
	string_list(Rest),
	{X =< 95, X >= 122}.
string_list([]) -->
	[].

*/
/*
read_file(File, List) :-
	see(File),
	read_list(List),
	seen,
	!.

read_list([X|List]) :-
	get0(X),
	X =\= -1,
	!,
	read_list(List).
read_list([]).
*/
